package org.openxma.dsl.platform.jsf.phaselistener;

import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;
import javax.faces.event.PhaseListener;

public class DebugPhaseListener implements PhaseListener {

    private static final long serialVersionUID = -1105628053835276734L;

    public void afterPhase(PhaseEvent event) {
        System.out.println("after " + event.getPhaseId().toString() + " of " + event.getSource());
    }

    public void beforePhase(PhaseEvent event) {
        System.out.println("before " + event.getPhaseId().toString() + " of " + event.getSource());
    }

    public PhaseId getPhaseId() {
        return PhaseId.ANY_PHASE;
    }

}
