package org.openxma.dsl.platform.jsf.validator;

import static java.lang.annotation.ElementType.ANNOTATION_TYPE;
import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.TYPE;

import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;


@Target( { METHOD, FIELD, ANNOTATION_TYPE, TYPE})
@Retention(RetentionPolicy.RUNTIME)
//@Constraint(validatedBy = {MyEmailValidator.class})
@Documented
public @interface MyEmail {

    String message() default "{invalidMyEmail}";

    Class<?>[] groups() default {};

//    Class<? extends Payload>[] payload() default {};

    String fieldName() default "myEmailField";

}

